From dd0f809a0a8970032bd8de8df131acd2e167c691 Mon Sep 17 00:00:00 2001
From: Jana Librova <jcupova@redhat.com>
Date: Sep 04 2024 07:17:14 +0000
Subject: [PATCH 7/11] Fix code review


---

diff --git a/plugins/builder/taskrepos.py b/plugins/builder/taskrepos.py
index fd80c13..c301452 100644
--- a/plugins/builder/taskrepos.py
+++ b/plugins/builder/taskrepos.py
@@ -59,7 +59,8 @@ class TaskReposTask(koji.tasks.BaseTaskHandler):
             '--checksum=sha256',
             '--general-compress-type=gz',
             '--pkglist=pkglist',
-            self.options.topdir,
+            '--location-prefix=""',
+            '.',
         ]
         self.logger.debug('Running: %s' % " ".join(cmd))
 
@@ -106,6 +107,7 @@ class TaskReposTask(koji.tasks.BaseTaskHandler):
         pkglist = []
         for rpm in rpms:
             url = joinpath(remote_pi.work(), rpm)
+            url = f'toplink{url}'
             arch = rpm.split('.')[-2]
             dest = joinpath(repodir, arch)
             if dest not in dest_dirs:

